# Uses of Class
org.jfree.chart3d.data.xyz.XYZSeries

Packages that use XYZSeries
Package
Description
org.jfree.chart3d.data.xyz
Datasets that can be used by the `XYZPlot` class.

## Uses of XYZSeries in org.jfree.chart3d.data.xyz

Methods in org.jfree.chart3d.data.xyz that return XYZSeries
Modifier and Type
Method
Description
`XYZSeries<S>`
XYZSeriesCollection.`getSeries(int index)`
Returns the series with the specified index.
`XYZSeries`
XYZSeriesCollection.`getSeries(Comparable<?> key)`
Returns the series with the specified key, or `null` if there is no such series.
Methods in org.jfree.chart3d.data.xyz with parameters of type XYZSeries
Modifier and Type
Method
Description
`void`
XYZSeriesCollection.`add(XYZSeries<S> series)`
Adds a series to the collection (note that the series key must be unique within the collection).
`void`
XYZSeriesCollection.`remove(XYZSeries series)`
Removes a series from the collection and sends a `Dataset3DChangeEvent` to all registered listeners.